
Multiply::usage = "Multiply[a][g] gives the transformation of the figure g 
under the mapping z -> a z where a is a complex number."

( Multiply[a_] @ p:{_?NumberQ, _?NumberQ, _?NumberQ} := 
	ComplexToTriple[a ComplexFromTriple @ p] ) 

Multiply[a_] @ Point @ p_ := Point @ Multiply[a] @ p

Multiply[a_] @ Line @ l_List := Line[Multiply[a] /@ l]

Multiply[a_] @ Polygon @ l_List := Polygon[Multiply[a] /@ l]

( Multiply[a_] @ Circle[c_, r_] := 
	Circumcircle[Multiply[a] /@ Translate[c][r {$i, $j, -$i}] ] ) 

Multiply[a_] @ d_Disk := Disk @@ Multiply[a][Circle @@ d] 

( Multiply[a_] @ Text[t_, p:{_?NumberQ, _?NumberQ, _?NumberQ}, x___] := 
	Text[t, Multiply[a] @ p, x] ) 

Multiply[_] @ GrayLevel[i_] := GrayLevel[i] 

Multiply[_] @ RGBColor[r_, g_, b_] := RGBColor[r, g, b] 

Multiply[_] @ PointSize[s_] := PointSize[s] 

Multiply[_] @ Thickness[t_] := Thickness[t] 

Multiply[_] @ Dashing[d_] := Dashing[d] 

Multiply[a_] @ l_List := Multiply[a] @ # & /@ l 

Multiply[a_List] @ g_ := Multiply[#] @ g & /@ a 

